<section *ngIf="currentRepository" class="section">
  <div class="container is-fluid">

    <div class="level">
      <div class="level-left">
        <div class="level-item">
          <app-breadcrumb [currentWorkspace]="currentWorkspace"
                          [currentRepository]="currentRepository"></app-breadcrumb>
        </div>
      </div>
      <div class="level-right">
        <div class="level-item">
          <div *ngIf="loadingHtml; else loadingBloc" class="buttons">
            <a class="button is-primary is-medium">
              <span class="icon"><i class="far fa-file-code"></i></span>
              <span (click)="showExportToHtmlModal()">Export Report</span>
            </a>
            <app-export-to-html-modal *ngIf="isExportToHtmlModalActive()" [currentWorkspace]="currentWorkspace"
                                      [currentRepository]="currentRepository" (hideExportToHtmlEvent)="hideExportToHtml()"
                                      (exportReportToHtmlEvent)="exportReportToHTML($event)"></app-export-to-html-modal>
          </div>
        </div>
      </div>
    </div>

    <hr>


    <app-inspector-modules [currentWorkspace]="currentWorkspace"
                           [currentRepository]="currentRepository"></app-inspector-modules>

  </div>


  <ng-template #loadingBloc>
    <a class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
  </ng-template>

</section>
